Skip to main content
GET
/
data
/
geo
/
v1
/
places
/
{id}
/
children
List a place's children
curl --request GET \
  --url https://api.voyant.travel/data/geo/v1/places/{id}/children \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "unlocode": "<string>",
      "countryIso2": "<string>",
      "parentId": "<string>",
      "coordinates": {
        "lat": 123,
        "lng": 123
      },
      "name": "<string>",
      "nameLang": "<string>",
      "names": {},
      "aliases": [
        "<string>"
      ],
      "attributes": {}
    }
  ],
  "totalCount": 123,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.

Path Parameters

id
string
required

Query Parameters

type
enum<string>
Available options:
region,
country,
subdivision,
city,
port,
river,
sea,
ocean,
canal,
lake
lang
string
names
boolean

Response

Child places

data
object[]
required
totalCount
integer
required
nextCursor
string